Форум русскоязычного сообщества Ubuntu


Увидели сообщение с непонятной ссылкой, спам, непристойность или оскорбление?
Воспользуйтесь ссылкой «Сообщить модератору» рядом с сообщением!

Автор Тема: закрытие сокетов  (Прочитано 891 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн quzmich

  • Автор темы
  • Новичок
  • *
  • Сообщений: 3
    • Просмотр профиля
закрытие сокетов
« : 11 Июль 2009, 12:33:08 »
пишу приложение под gcc... проблема заключается в том, что при попытке закрыть сокет путем вызова функции close(), компилятор ругается - "нет декларации ‘close’ в этой области видимости"... Какой заголовочный файлик надо прикрутить?

Оффлайн AlexH

  • Участник
  • *
  • Сообщений: 147
    • Просмотр профиля
Re: закрытие сокетов
« Ответ #1 : 11 Июль 2009, 20:20:08 »
  #include <unistd.h>
arch x86_64

Оффлайн quzmich

  • Автор темы
  • Новичок
  • *
  • Сообщений: 3
    • Просмотр профиля
Re: закрытие сокетов
« Ответ #2 : 11 Июль 2009, 20:56:29 »
ну самое удивительное это то, что его я подключал... компилятор на него возмущался... тогда решил посмотреть че в нем лежит... нашел, открыл - а там одна строчка #include <unistd.h>... Это шутка такая? Откуда его можно взять?

Оффлайн digiwhite

  • Активист
  • *
  • Сообщений: 732
  • http://www.welinux.ru
    • Просмотр профиля
    • http://www.welinux.ru
Re: закрытие сокетов
« Ответ #3 : 11 Июль 2009, 22:49:55 »
В аттаче. А вообще, проверить, все ли необходимые для разработки пакеты установлены.
Социальная сеть не фанатично настроенных линуксойдов - http://www.welinux.ru

Оффлайн quzmich

  • Автор темы
  • Новичок
  • *
  • Сообщений: 3
    • Просмотр профиля
Re: закрытие сокетов
« Ответ #4 : 11 Июль 2009, 23:09:39 »
digiwhite, спасибо большое... Тогда возможно совсем тупой вопрос, т.к. раньше под убунтой ничего не писал, - наличие каких пакетов необходимо в первую очередь? писать пока буду только под gcc...

Оффлайн digiwhite

  • Активист
  • *
  • Сообщений: 732
  • http://www.welinux.ru
    • Просмотр профиля
    • http://www.welinux.ru
Re: закрытие сокетов
« Ответ #5 : 12 Июль 2009, 00:20:22 »
Для начала нужно установить build-essentials. Потом уже по ходу дела смотреть, что нужно :).
Социальная сеть не фанатично настроенных линуксойдов - http://www.welinux.ru

 

Страница сгенерирована за 0.138 секунд. Запросов: 25.